#include "misc.h"

#include <stdlib.h>

#include "map.h"
#include "time.h"
#include "gameType.h"

// メニュー画面を表示する
GmType menuDisplay() {
	char ch;

	for (;;) {
        myCls();    // 画面消去
		printf("メニュー\n");
		printf("1) 続ける\n");
		printf("2) 終わる\n");

		printf("\n");
		printf("Hキーを押すとhelpが見られます。\n");

		printf("\n");
		displaySec();
		displayRemainingStar();
		displayStage();

		ch = mygetch();
		if (ch == 'h') {
			return GM_HELP;
		}

		if (ch != '2') {
			return GM_GAME;
		}
		return GM_END;
	}
}
